a couple betas

IRIX/Nekoware development, porting and related topics.
Forum rules
Any posts concerning pirated software or offering to buy/sell/trade commercial software are subject to removal.
User avatar
hamei
Posts: 10435
Joined: Tue Feb 24, 2004 4:10 pm
Location: over the rainbow

a couple betas

Unread postby hamei » Wed Jan 23, 2013 12:46 am

We gotta backup on east fourteenth, can a couple people hop in here ?

libjpeg-turbo 1.2.1 == I've been running this for quite a while. Just needs a few more ++ to go into current. Nothing to be scared of, runs good

libidn 1.24 == now outdated, we have 1.26 incoming. May as well toss it ? If you're real brave, try 1.26 ?

libtool 2.4.2 == been using it a while, damned if I know how you can tell if it's *this* libtool or all libtools that make so much trouble. But it seems no worse than any other libtool. Can we get a few shouts to move it over also ?

expat 2.1.0 == I've been using this for quite a while also. Anyone want to grab it and add a vote ?

a new nixieclock ! 1.64, fresh off the presses. Here's one that anyone can test, even the rankest of rank beginners. No excuses on this one, guys.

It's wednesday. Hump day. Let's celebrate by trying out one tardist that you think you can use and writing a single line about it here in /dev

thanks !

User avatar
smj
Donor
Donor
Posts: 1666
Joined: Mon Nov 12, 2007 7:54 pm
Location: Berkeley, CA, USA, NA, Earth, Sol
Contact:

Re: a couple betas

Unread postby smj » Tue Jun 04, 2013 2:39 am

hamei wrote:libidn 1.24 == now outdated, we have 1.26 incoming. May as well toss it ? If you're real brave, try 1.26 ?

I thought I'd try the beta neko_wget-1.14.1 package, which requires a recent libidn - so I grabbed neko_libidn-1.26 and tried to install both packages. But the installation failed because of a dependency on package version 4 or later (I think) of neko_libidn, where the package version of neko_libidn-1.26 is only 3.

I didn't see any other activity on this package. Can anybody confirm I got the package version numbers correct, and the dependency in neko_wget?

Thanks!
Then? :IRIS3130: ... Now? :O3x02L: :A3504L:- :A3502L: :1600SW:+MLA :Fuel: :Octane2: :Octane: :Indigo2IMP: :Indy: ... Other: DEC :BA213: :BA123: Sun, DG AViiON, NeXT :Cube:

User avatar
canavan
Posts: 754
Joined: Mon Jul 21, 2003 6:19 am

Re: a couple betas

Unread postby canavan » Tue Jun 04, 2013 3:32 am

I'll check where I got neko_libidn 4 from, and/or downgrade to 3.

User avatar
hamei
Posts: 10435
Joined: Tue Feb 24, 2004 4:10 pm
Location: over the rainbow

Re: a couple betas

Unread postby hamei » Tue Jun 04, 2013 5:09 am

smj wrote: Can anybody confirm I got the package version numbers correct, and the dependency in neko_wget?

Thanks!

I just had that happen last week. I assumed I needed to update my libidn and forgot to get back to it but just checked, I'm fresh. You are correct, something goofus in the Depends.
I spent a fortune on booze, birds, and fast cars ... the rest I just squandered

User avatar
canavan
Posts: 754
Joined: Mon Jul 21, 2003 6:19 am

Re: a couple betas

Unread postby canavan » Wed Jun 05, 2013 3:11 pm

It appears that neko_libidn 4 is something that has failed to escape into the wild, and is currently only found on a few of my own SGIs. I've downgraded my libidn and re-build wget. The fixed package is in /incoming, so it may appear in /beta soon.

User avatar
hamei
Posts: 10435
Joined: Tue Feb 24, 2004 4:10 pm
Location: over the rainbow

Re: a couple betas

Unread postby hamei » Wed Jun 05, 2013 4:54 pm

May as well hang for a second ... there's a brandy-newiest libidn 1.27 that just came out yesterday ....

gnu wrote:* Version 1.27 (released 2013-06-05) [stable]

** Java library can be built using Maven. Speed improvements.
Thanks to several patches from Stefan Larsson. Testing indicate 70-90
times faster node/name/resource-prep.

** Update gnulib files and translations.

What the heck, the updated translations might be worthwhile ...
I spent a fortune on booze, birds, and fast cars ... the rest I just squandered

User avatar
smj
Donor
Donor
Posts: 1666
Joined: Mon Nov 12, 2007 7:54 pm
Location: Berkeley, CA, USA, NA, Earth, Sol
Contact:

Re: a couple betas

Unread postby smj » Thu Jun 06, 2013 1:51 am

canavan wrote:It appears that neko_libidn 4 is something that has failed to escape into the wild, and is currently only found on a few of my own SGIs. I've downgraded my libidn and re-build wget. The fixed package is in /incoming, so it may appear in /beta soon.

Thanks for taking the time to chase that down, can!
Then? :IRIS3130: ... Now? :O3x02L: :A3504L:- :A3502L: :1600SW:+MLA :Fuel: :Octane2: :Octane: :Indigo2IMP: :Indy: ... Other: DEC :BA213: :BA123: Sun, DG AViiON, NeXT :Cube:

User avatar
canavan
Posts: 754
Joined: Mon Jul 21, 2003 6:19 am

Re: a couple betas

Unread postby canavan » Thu Jun 06, 2013 4:13 pm

hamei wrote:May as well hang for a second ... there's a brandy-newiest libidn 1.27 that just came out yesterday ....
[...]
What the heck, the updated translations might be worthwhile ...


Well, 1.27 is in /incoming. You can check if the translations are any good as soon as the package hits /beta.

User avatar
hamei
Posts: 10435
Joined: Tue Feb 24, 2004 4:10 pm
Location: over the rainbow

Re: a couple betas

Unread postby hamei » Thu Jun 06, 2013 9:30 pm

canavan wrote:Well, 1.27 is in /incoming. You can check if the translations are any good as soon as the package hits /beta.

My Translator is awaiting her chance at immortality as soon as it arrives :P
I spent a fortune on booze, birds, and fast cars ... the rest I just squandered

ajw99uk
Posts: 261
Joined: Tue Apr 19, 2011 4:59 am
Location: Yorkshire, UK

Re: a couple betas

Unread postby ajw99uk » Fri Feb 27, 2015 2:34 pm

hamei wrote:
smj wrote: Can anybody confirm I got the package version numbers correct, and the dependency in neko_wget?

Thanks!

I just had that happen last week. I assumed I needed to update my libidn and forgot to get back to it but just checked, I'm fresh. You are correct, something goofus in the Depends.

An old thread, but seems to be the most recent reference to wget dependencies

wget in current is at 1.11, in beta at 1.15 - the latter fails owing to absence of libpcre.so.2 (I can find only /usr/nekoware/lib/libpcre.so.1.1)
Fuel; Indigo2; Inspiron 531 WinXP/Win10/debian-buster; Inspiron 4100 debian-buster; RiscPC Kinetic/448MB/RISCOS4.39; RPi B/256MB RISCOS5.23; RPi2 Raspbian-buster; A5000/33MHz/FPA11/8MB/RISCOS3.11; A540/25MHz/FPA10/16MB/RISCOS3.11 or RISCiX1.21


Return to “SGI: Development”

Who is online

Users browsing this forum: No registered users and 2 guests